Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.collection
Class CollectionJoinWalker

    java.lang.Object
      org.hibernate.loader.JoinWalker
          org.hibernate.loader.collection.CollectionJoinWalker

Direct Known Subclasses:
  BasicCollectionJoinWalker, OneToManyJoinWalker

    public abstract class CollectionJoinWalker

extends JoinWalker

Superclass of walkers for collection initializers

Author:
  Gavin King
See Also:
  `CollectionLoader`, `OneToManyJoinWalker`, `BasicCollectionJoinWalker`

Field Summary

Fields inherited from class org.hibernate.loader.JoinWalker
`aliases, associations, collectionOwners, collectionPersisters, collectionSuffixes, lockModeArray, ownerAssociationTypes, owners, persisters, sql, suffixes`

Constructor Summary
`CollectionJoinWalker(SessionFactoryImplementor factory, Map enabledFilters)`

Method Summary
`protected StringBuffer` | `whereString(String alias, String[] columnNames, String subselect, int batchSize)`

Methods inherited from class org.hibernate.loader.JoinWalker
`countCollectionPersisters, countEntityPersisters, generateRootAlias, generateTableAlias, getAliases, getCollectionOwners, getCollectionPersisters, getCollectionSuffixes, getDialect, getEnabledFilters, getFactory, getJoinType, getJoinType, getLockModeArray, getOwnerAssociationTypes, getOwners, getPersisters, getSQLString, getSuffixes, initPersisters, isDuplicateAssociation, isDuplicateAssociation, isJoinable, isJoinedFetchEnabled, isJoinedFetchEnabledInMapping, isTooDeep, isTooManyCollections, mergeOrderings, mergeOuterJoins, orderBy, orderBy, selectString, setAliases, setCollectionOwners, setCollectionPersisters, setCollectionSuffixes, setLockModeArray, setOwnerAssociationTypes, setOwners, setPersisters, setSql, setSuffixes, walkCollectionTree, walkEntityTree, whereString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionJoinWalker

    public CollectionJoinWalker(SessionFactoryImplementor factory,
                                Map enabledFilters)

Method Detail

### whereString

    protected StringBuffer whereString(String alias,
                                       String[] columnNames,
                                       String subselect,
                                       int batchSize)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD